Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jboss.ejb
Class JBossTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.AbstractProgramElementTagsHandler
                  xdoclet.tagshandler.ClassTagsHandler
                      xdoclet.modules.jboss.ejb.JBossTagsHandler

public class JBossTagsHandler
extends ClassTagsHandler

Version:
  $Revision: 1.12 $
Author:
  Dmitri Colebatch (dim@bigpond.net.au), Julien Viet (julien_viet@yahoo.fr)
xdoclet.taghandler
  namespace="JBoss"
created
  October 18, 2001

Field Summary

Fields inherited from class xdoclet.tagshandler.ClassTagsHandler
`dateFormatter, now`

Fields inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`currentToken, matchPattern, tagTokenizer`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`JBossTagsHandler()`

Method Summary
`void` | `ifHasDVC(String template)` Evaluates the body if at least one of the classes has an jboss:dvc tag, otherwise not.
`void` | `ifMethodTagMatchesClassTag(String template, Properties attributes)`

Methods inherited from class xdoclet.tagshandler.ClassTagsHandler
`classComment, classCommentTags, classCommentText, className, classOf, classTagValue, classTagValueMatch, firstSentenceDescription, forAllClasses, forAllClassTags, forAllClassTagTokens, forAllDistinctClassTags, forAllDistinctClassTags, fullClassName, fullSuperclassName, fullTransformedClassName, getClassNameFor, getFullClassNameFor, ifClassTagValueEquals, ifClassTagValueMatches, ifClassTagValueNotEquals, ifDoesntHaveClassTag, ifHasClassTag, ifIsClassAbstract, ifIsClassNotAbstract, importedList, modifiers, pushClass, symbolicClassName, transformedClassName`

Methods inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`checkForWrap, currentToken, exceptionList, firstSentenceDescriptionOfCurrentMember, forAllMembers, forAllMemberTags, forAllMemberTagTokens, getAllClasses, getFullSuperclassNameFor, getIndentChars, getXExecutableMemberForMemberName, getXExecutableMemberForMemberName, hasExecutableMember_OLD, hasExecutableMember, makeCopyOfArray, matchValue, memberComment, setMatchValue, skipToken`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossTagsHandler

    public JBossTagsHandler()

Method Detail

### ifHasDVC

    public void ifHasDVC(String template)
                  throws XDocletException

  Evaluates the body if at least one of the classes has an jboss:dvc tag, otherwise not.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException` - Description of Exception

### ifMethodTagMatchesClassTag

    public void ifMethodTagMatchesClassTag(String template,
                                           Properties attributes)
                                    throws XDocletException

  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD